# The package uses a bizarre library scheme that requires many symbols used in
# the library be defined in the main application
%define _disable_ld_no_undefined 1

Summary:	Emilia 3d Pinball
Name:		pinball
Version:	0.3.4
Release:	%mkrel 1
URL:		https://github.com/sergiomb2/pinball
Source0:	https://github.com/sergiomb2/pinball/archive/%{version}/%{name}-%{version}.tar.xz
License: GPL+ and (GFDL or Free Art or CC-BY-SA) and GPLv3 and CC-BY-SA and GPLv2+
Group:		Games/Arcade
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(sm)

%description
The Emilia Pinball projects is an open source pinball simulator for linux
and other unix systems. The current release features a number of tables:
tux, professor, professor2, gnu and hurd and is very addictive.

%prep
%setup -q

%build
./bootstrap

%configure2_5x \
	--datadir=%{_gamesdatadir} \
	--bindir=%{_gamesbindir} 
%make_build

%install
%make_install

install -D -m644 pinball.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m644 pinball.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pinball
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF


# Remove development files untill someone wants them.
# The .la files are needed
rm -rf %{buildroot}%{_includedir}/%{name} \
    %{buildroot}%{_libdir}/%{name}/*.a \
    %{buildroot}%{_libdir}/%{name}/*.so \
    %{buildroot}%{_libdir}/%{name}/libModuleTest.*
rm -f  %{buildroot}%{_gamesbindir}/%{name}-config

# remove unused global higescorefiles:
rm -fr %{buildroot}%{_localstatedir}

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so.*


%changelog
* Thu Mar 07 2019 tex 0.3.4-1pclos2019
- new version 0.3.4
